<?php
namespace Folha\Repositories;

class GpeIntervaloshorario extends \Doctrine\ORM\EntityRepository
{
    public static function getMaxNrSeqInterval($nrhordiam, $nrorg){
        $sql = "SELECT (NVL(MAX(NRSEQINTERVHORARIO), 0) +1) AS NRSEQINTERVHORARIO
                  FROM GPE_INTERVALOSHORARIO
                 WHERE NRHORDIAM = :NRHORDIAM
                   AND NRORG     = :NRORG";
                
        $params = array(
            'NRORG'     => $nrorg,
            'NRHORDIAM' => $nrhordiam
        );

        try {
            return \Setforms2\Shared\Registry::getEntityManager()->getConnection()->fetchAll($sql, $params);
        } catch (\Exception $e) {
            tk_warning(tk_get_message_by_name($e->getMessage()));
        }
    }
}