<?php

namespace Util\Mail\SendEmail;

class MailDataSource {
    
    public static function getUrlLogoByNrestruturam($entityManager, $nrorg, $nrestruturam) {
        $sql = <<<SQL
        SELECT DSURLLOGOESTRUTURA
        FROM ESTRUTURAM
        WHERE NRORG          = :P_NRORG
            AND NRESTRUTURAM = :P_NRESTRUTURAM
SQL;
                   
        $query = $entityManager->getConnection()->prepare($sql);
        $query->execute(array(
            "P_NRORG"        => $nrorg,
            "P_NRESTRUTURAM" => $nrestruturam
        ));

        $result = $query->fetchAll();
        
        return $result;
    }
    
    public static function getOperadorByDsemailoper($entityManager, $dsemailoper){
        $sql = <<<SQL
        SELECT NMOPERADOR
        FROM OPERADOR
        WHERE DSEMAILOPER = :P_DSEMAILOPER
SQL;

        $query = $entityManager->getConnection()->prepare($sql);
        $query->execute(array(
            "P_DSEMAILOPER"  => $dsemailoper
        ));

        $result = $query->fetchAll();
        
        return $result;
    }

}